Please upgrade! Rated 4 out of 5 stars

This is a great program, but it doesn't work on Firefox 4.0. Unlike some of the other reviewers, I had no trouble with Stealther on Firefox 3.x. I'm using XP Home SP3.